httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bob <bobnli...@gmail.com>
Subject [users@httpd] apache fastcgi trouble with Apache/2.2.22
Date Mon, 05 Jan 2015 15:29:56 GMT

Dear list,

has anyone successfully run fastcgi with Apache/2.2.22 on debian wheezy ?
I need your kind help to make it working..

I have already the required modules running namely [ actions alias fastcgi ]
I also have the following wrapper script with execute permission /usr/lib/cgi-bin/php55-cgi

````````````````
#!/bin/bash
PHP_FCGI_CHILDREN=10
export PHP_FCGI_CHILDREN
PHP_FCGI_MAX_REQUESTS=5000
export PHP_FCGI_MAX_REQUESTS
exec /usr/local/bin/php-5.5.20/bin/php-cgi -c /usr/local/bin/php-5.5.20/lib/php.ini 

``````````````

Now If I place the below at .htaccess

````````````
Options +FollowSymLinks +SymLinksIfOwnerMatch +ExecCGI

RewriteEngine On

<FilesMatch "\.php">
SetHandler application/x-httpd-php5
</FilesMatch>

``````````````

I get error as 

`````````````
Options FollowSymLinks or SymLinksIfOwnerMatch is off which implies that RewriteRule directive
is forbidden: /usr/lib/cgi-bin/php55-cgi

`````````````````

Placing same at vhost throws same error though rewrite module is loaded... Have I missed anything
?
Kindly suggest.

Thanks


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message